/*
 * This file is part of Jelie,
 * (c) 2002 Julien Pilet <julien.pilet@epfl.ch> and
 * Stephane Magnenat <stephane.magnenat@epfl.ch>
 *
 * Jelie is free software; you can redistribute it
 * and/or modify it under the terms of the GNU General Public License as
 * published by the Free Software Foundation; either version 2 of the License,
 * or (at your option) any later version.
 *
 * Jelie is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with Foobar; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
 */

@
@ Initialize the pxa 250
@ Julien Pilet & Stephane Magnenat, 11 2002
@

#include <pxa250regs.S>

@ macros for led control
#include <led.S>

.text

@ Exception vectors

@ 0x00, Reset
	mov pc, #0
@ 0x04, Undefined instructions
	mov pc, #4
@ 0x08, Software interrupt (SWI)
	mov pc, #8
@ 0x0c, Prefetch Abort (instruction fetch memory abort)
	mov pc, #0x0C
@ 0x10, Data Abord (data access memory abort)
	mov pc, #0x10
@ 0x14, Reserved
	nop
@ 0x18, IRQ (interrupt)
	mov pc, #0x18
@ 0x1c, FIQ (fast interrupt)
	mov pc, #0x1c

nop
nop
nop
nop
nop
nop
nop
nop
nop
